Bug 1065538 - (CVE-2014-0082) CVE-2014-0082 rubygem-actionpack: Action View string handling denial of service
CVE-2014-0082 rubygem-actionpack: Action View string handling denial of service
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140218,repor...
: Security
Depends On: 1065588 1065589 1065590 1065591 1065592 1065593 1065891 1066661 1165379
Blocks: 1065543
  Show dependency treegraph
 
Reported: 2014-02-14 16:36 EST by Kurt Seifried
Modified: 2016-04-18 20:57 EDT (History)
38 users (show)

See Also:
Fixed In Version: rubygem-actionpack 3.2.17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
3-0-render_text_dos.patch (1.88 KB, patch)
2014-02-14 16:42 EST, Kurt Seifried
no flags Details | Diff
3-1-render_text_dos.patch (1.88 KB, patch)
2014-02-14 16:42 EST, Kurt Seifried
no flags Details | Diff
3-2-render_text_dos.patch (1.88 KB, patch)
2014-02-14 16:43 EST, Kurt Seifried
no flags Details | Diff

  None (edit)
Description Kurt Seifried 2014-02-14 16:36:24 EST
Aaron Patterson of the Ruby on Rails project reports:

There is a denial of service vulnerability in the text rendering component of Action View.

Versions Affected: 3.0.x, 3.1.x, 3.2.x
Not affected: 4.0.x
Fixed Versions: 3.2.17

Impact
------

Strings sent in specially crafted headers will be converted to symbols. This can
cause a denial of service since symbols are not removed by the garbage collector.
All users running an affected release should either upgrade or use one of the work
arounds immediately.
Comment 1 Kurt Seifried 2014-02-14 16:42:15 EST
Created attachment 863439 [details]
3-0-render_text_dos.patch
Comment 2 Kurt Seifried 2014-02-14 16:42:34 EST
Created attachment 863440 [details]
3-1-render_text_dos.patch
Comment 3 Kurt Seifried 2014-02-14 16:43:12 EST
Created attachment 863441 [details]
3-2-render_text_dos.patch
Comment 4 Kurt Seifried 2014-02-14 23:41:42 EST
Acknowledgements:

Red Hat would like to thank the Ruby on Rails Project for reporting this issue. Upstream acknowledges Toby Hsieh of SlideShare as the original reporter.
Comment 10 Vincent Danen 2014-02-18 15:36:59 EST
Created rubygem-actionpack tracking bugs for this issue:

Affects: fedora-19 [bug 1066661]
Comment 12 Fedora Update System 2014-03-11 00:11:01 EDT
rubygem-actionpack-3.2.13-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 errata-xmlrpc 2014-03-11 12:59:42 EDT
This issue has been addressed in following products:

  CloudForms Management Engine 5.x

Via RHSA-2014:0215 https://rhn.redhat.com/errata/RHSA-2014-0215.html
Comment 14 errata-xmlrpc 2014-03-17 13:33:16 EDT
This issue has been addressed in following products:

  Red Hat Software Collections for RHEL-6

Via RHSA-2014:0306 https://rhn.redhat.com/errata/RHSA-2014-0306.html
Comment 15 Kurt Seifried 2014-06-25 03:24:17 EDT
Statement:

Red Hat OpenShift Enterprise 1.2 is now in Production 1 Phase of the support
and maintenance life cycle. This has been rated as having Moderate security
impact and is not currently planned to be addressed in future updates. For
additional information, refer to the Red Hat OpenShift Enterprise Life Cycle:
https://access.redhat.com/site/support/policy/updates/openshift.

Note You need to log in before you can comment on or make changes to this bug.